List invoices
Returns invoices, newest first. Filter by status, customer, dates and amounts.
Returns invoices, newest first. Filter by status, customer, dates and amounts.
Authorization
api-key API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Query Parameters
Page number (1-based)
1 <= value <= 21474836471Number of items per page
1 <= value <= 10020One or more display statuses: draft, scheduled, open, past_due, partially_paid, paid, uncollectible, void
One or more display statuses: draft, scheduled, open, past_due, partially_paid, paid, uncollectible, void
Only invoices for this customer
Only invoices in this currency
Value in
- "EGP"
- "USD"
- "EUR"
- "GBP"
- "SAR"
- "AED"
- "QAR"
- "KWD"
- "JOD"
- "OMR"
- "BHD"
- "LYD"
- "AUD"
- "CAD"
- "CNY"
Only invoices that are, or are not, past due
Total condition: eq:100, bt:10,100, gt:50 or lt:200
Amount remaining condition
Created date condition: last:7,days, eq:2026-01-01 or bt:2026-01-01,2026-12-31
Due date condition
Issue date condition
Paid date condition
Invoices that received a payment in this period, part payments included
Search invoice number, customer name, email or phone (comma-separated terms)
Field to sort by. Defaults to created.
Value in
- "created"
- "dueDate"
- "total"
- "amountRemaining"
- "number"
Sort direction. Defaults to desc.
Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/invoices"{ "data": [ { "id": "in_3Nf8a2kLmPq9", "object": "invoice", "merchantId": "string", "livemode": true, "status": "draft", "displayStatus": "draft", "number": "INV-000127", "collectionMethod": "send_invoice", "billingReason": "manual", "currency": "EGP", "customerId": "string", "customerName": "string", "customerEmail": "string", "customerPhone": "string", "issueDate": "string", "dueDate": "string", "daysUntilDue": -9007199254740991, "isOverdue": true, "daysOverdue": -9007199254740991, "total": -9007199254740991, "amountDue": -9007199254740991, "amountPaid": -9007199254740991, "amountRemaining": -9007199254740991, "statusTransitions": {}, "sentAt": "string", "firstViewedAt": "string", "automaticallyFinalizesAt": "string", "createdAt": "string", "updatedAt": "string" } ], "totalCount": 0}